org.h2gis.functions.spatial.topography

## Class ST_TriangleSlope

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.topography.ST_TriangleSlope

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_TriangleSlope
    extends org.h2gis.api.DeterministicScalarFunction

This function is used to compute the slope direction of a triangle.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_TriangleSlope()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Double` `computeSlope(org.locationtech.jts.geom.Geometry geometry)`
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_TriangleSlope

    public ST_TriangleSlope()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### computeSlope

    public static Double computeSlope(org.locationtech.jts.geom.Geometry geometry)
                               throws IllegalArgumentException

Parameters:
  `geometry` - Triangle
Returns:
  slope of a triangle expressed in percents
Throws:
  `IllegalArgumentException` - Accept only triangles